Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class Anchor

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ClosingUIBean
                  org.apache.struts2.components.AbstractRemoteCallUIBean
                      org.apache.struts2.components.Anchor

All Implemented Interfaces:
  RemoteUICallBean

    public class Anchor

extends AbstractRemoteCallUIBean

A tag that creates a HTML <a href='' /> that when clicked calls a URL remote XMLHttpRequest call via the dojo framework.

THE FOLLOWING IS ONLY VALID WHEN AJAX IS CONFIGURED

- href
- errorText
- listenTopics
- notifyTopics
- executeScripts
- loadingText
- listenTopics
- handler
- formId
- formFilter
- targets
- showErrorTransportText
- targets
- indicator

'resultDivId' Deprecated. Use targets.

'targets' is a list of element ids whose content will be updated with the text returned from request.

'errorText' is the text that will be displayed when there is an error making the request.

'onLoadJS' Deprecated. Use 'notifyTopics'.

'preInvokeJS' Deprecated. Use 'notifyTopics'.

'executeScripts' if set to true will execute javascript sections in the returned text.

'loadingText' is the text that will be displayed on the 'targets' elements while making the request.

'handler' is the name of the function that will take care of making the AJAX request. Dojo's widget and dom node are passed as parameters).

'formId' is the id of the html form whose fields will be seralized and passed as parameters in the request.

'formFilter' is the name of a function which will be used to filter the fields that will be seralized. This function takes as a parameter the element and returns true if the element should be included.

'listenTopics' comma separated list of topics names, that will trigger a request 'indicator' element to be shown while the request executing 'showErrorTransportText': whether errors should be displayed (on 'targets') 'showLoadingText' show loading text on targets 'notifyTopics' comma separated list of topics names, that will be published. Three parameters are passed:

- data: html or json object when type='load' or type='error'
- type: 'before' before the request is made, 'load' when the request succeeds, or 'error' when it fails
- request: request javascript object, when type='load' or type='error'

Examples

     <s:a id="link1" theme="ajax" href="/DoIt.action" errorText="An error ocurred" loadingText="Loading...">
         <img border="none" src="<%=request.getContextPath()%>/images/delete.gif"/>
         <s:param name="id" value="1"/>
     </s:a>

Results in

     <a dojoType="BindAnchor" executeScripts="true" id="link1" href="/DoIt.action?id=1" errorText="An error ocurred"></a>

Here is an example that uses the beforeLoading. This example is in altSyntax=true:

     <s:a id="test" theme="ajax" href="/simpeResult.action" beforeLoading="confirm('Are you sure?')">
      A
     </s:a>

Field Summary
`static String` | `COMPONENT_NAME`
`static String` | `OPEN_TEMPLATE`
`protected String` | `targets`
`static String` | `TEMPLATE`

Fields inherited from class org.apache.struts2.components.AbstractRemoteCallUIBean
`afterLoading, beforeLoading, errorText, executeScripts, formFilter, formId, handler, href, indicator, listenTopics, loadingText, notifyTopics, showErrorTransportText, showLoadingText`

Fields inherited from class org.apache.struts2.components.ClosingUIBean
`openTemplate`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssStyle, defaultTemplateDir, defaultUITheme, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, id, parameters, stack`

Constructor Summary
`Anchor(ValueStack stack, HttpServletRequest request, HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`String` | `getDefaultOpenTemplate()`
`protected String` | `getDefaultTemplate()` A contract that requires each concrete UI Tag to specify which template should be used as a default.
`void` | `setAfterLoading(String afterLoading)`
`void` | `setBeforeLoading(String beforeLoading)`
`void` | `setTargets(String targets)`

Methods inherited from class org.apache.struts2.components.AbstractRemoteCallUIBean
`setErrorText, setExecuteScripts, setFormFilter, setFormId, setHandler, setHref, setIndicator, setListenTopics, setLoadingText, setNotifyTopics, setShowErrorTransportText, setShowLoadingText`

Methods inherited from class org.apache.struts2.components.ClosingUIBean
`setOpenTemplate, start`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, escape, evaluateNameValue, evaluateParams, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getComponentStack, getId, getParameters, getStack, popComponentStack, setActionMapper, setId, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_TEMPLATE

    public static final String OPEN_TEMPLATE

See Also:
  Constant Field Values

### TEMPLATE

    public static final String TEMPLATE

See Also:
  Constant Field Values

### COMPONENT_NAME

    public static final String COMPONENT_NAME

### targets

    protected String targets

Constructor Detail

### Anchor

    public Anchor(ValueStack stack,
                  HttpServletRequest request,
                  HttpServletResponse response)

Method Detail

### getDefaultOpenTemplate

    public String getDefaultOpenTemplate()

  Specified by:
    `getDefaultOpenTemplate` in class `ClosingUIBean`

### getDefaultTemplate

    protected String getDefaultTemplate()

  Description copied from class: `UIBean`
  A contract that requires each concrete UI Tag to specify which template should be used as a default. For example, the CheckboxTab might return "checkbox.vm" while the RadioTag might return "radio.vm". This value not begin with a '/' unless you intend to make the path absolute rather than relative to the current theme.

  Specified by:
    `getDefaultTemplate` in class `UIBean`
  Returns:
    The name of the template to be used as the default.

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `AbstractRemoteCallUIBean`

### setTargets

    public void setTargets(String targets)

### setAfterLoading

    public void setAfterLoading(String afterLoading)

  Specified by:
    `setAfterLoading` in interface `RemoteUICallBean`
  Overrides:
    `setAfterLoading` in class `AbstractRemoteCallUIBean`

### setBeforeLoading

    public void setBeforeLoading(String beforeLoading)

  Specified by:
    `setBeforeLoading` in interface `RemoteUICallBean`
  Overrides:
    `setBeforeLoading` in class `AbstractRemoteCallUIBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.